Subject: bug#65685: 29.1; Inconsistent behavior of quoted file name "/:~" across platforms

From: Jim Porter <[email-masked]>
Date: Fri, 13 Oct 2023 17:31:32 -0700

On 10/13/2023 7:26 AM, Michael Albinus wrote:
> This is a Tramp bug. I've fixed this in the emacs-29 branch, and merged
> it to the master branch afterwards. The fix shall solve both scenarios,
> with and without the patch I've posted earlier here.
> 
> Could you pls test, whether the patch behaves now as intended?

I think this works now, thanks. (Note that I just eval'ed the new 
version of 'tramp-sh-handle-expand-file-name' on MS-Windows to test 
things out, since I don't have a build environment set up on my 
MS-Windows system.)

So with the patch you merged to Tramp, plus your other one for 
"lisp/files.el", I think this is all working consistently now.